Subject: Re: bug#68815: Unexpected behavior with read-file-name and functional REQUIRE-MATCH argument

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Feb 2024 08:59:24 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  Philip Kaludercic <[email-masked]>,
>   [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Wed, 31 Jan 2024 17:05:30 -0500
> 
> >> Also, performance can be a concern (in many cases it makes more sense
> >> to make the caller pass the unquoted name rather than force it to quote
> >> the name only for PRED to unquote it).
> >
> > The REQUIRE-MATCH function is only called once when the user attempts to
> > exit the minibuffer.  Would you please explain the performance concern?
> 
> Oh, sorry, I got confused.  Indeed, you're wrapping the REQUIRE-MATCH
> arg, not the PRED arg I was ranting about.  Duh!
> 
> It would be OK for `emacs-29`, indeed.  Eli?  Stefan?  Any objection?

I don't mind, but please note that I'm not sure there will be any
further 29.x releases.

> In the mean time, could you update the docs to clarify the behavior.

Yes, please.